require_relative "listing"

module NwmlsClient

  class Business < Listing

    def initialize(config, criteria = {})
      criteria[:property_code] = "BUSO"
      criteria[:property_type] = :business_opportunity
      @criteria = criteria 
      super(config, @criteria)
    end  
    
  end
  
end


if __FILE__ == $0
  config = NwmlsClient::Base.load_config
  business = NwmlsClient::Business.new(config)
  listings = business.retrieve_data
  business.display(listings)
end
