require_relative "listing"

module NwmlsClient

  class Commercial < Listing

    def initialize(config, criteria = {})
      criteria[:property_code] = "COMI"
      criteria[:property_type] = :commercial_industrial
      @criteria = criteria 
      super(config, @criteria)    
    end 
    
  end
  
end


if __FILE__ == $0
  config = NwmlsClient::Base.load_config
  commercial = NwmlsClient::Commercial.new(config)
  listings = commercial.retrieve_data
  commercial.display(listings)
end
