require_relative "listing"

module NwmlsClient

  class Condominium < Listing

    def initialize(config, criteria = {})
      criteria[:property_code] = "COND"
      criteria[:property_type] = :condominium
      @criteria = criteria 
      super(config, @criteria)    
    end 
    
  end
  
end


if __FILE__ == $0
  config = NwmlsClient::Base.load_config
  condo = NwmlsClient::Condominium.new(config, status: "S")
  listings = condo.retrieve_data
  condo.display(listings)
end
