require_relative "listing"

module NwmlsClient

  class FarmRanch < Listing

    def initialize(config, criteria = {})
      criteria[:property_code] = "FARM"
      criteria[:property_type] = :farm_ranch
      @criteria = criteria 
      super(config, @criteria)    
    end 
    
  end
  
end


if __FILE__ == $0
  config = NwmlsClient::Base.load_config
  b_date = DateTime.now-5
  farm_ranch = NwmlsClient::FarmRanch.new(config, begin_date: b_date)
  listings = farm_ranch.retrieve_data
  farm_ranch.display(listings)
end
