require_relative "listing"

module NwmlsClient

  class Multifamily < Listing

    def initialize(config, criteria = {})
      criteria[:property_code] = "MULT"
      criteria[:property_type] = :multi_family
      @criteria = criteria 
      super(config, @criteria)    
    end 
    
  end
  
end

if __FILE__ == $0
  config = NwmlsClient::Base.load_config
  multi_family = NwmlsClient::Multifamily.new(config)
  listings = multi_family.retrieve_data
  multi_family.display(listings)
end