require_relative "listing"

module NwmlsClient

  class Rental < Listing

    def initialize(config, criteria = {})
      criteria[:property_code] = "RENT"
      criteria[:property_type] = :rental
      @criteria = criteria 
      super(config, @criteria)    
    end 
    
  end

end


if __FILE__ == $0
  config = NwmlsClient::Base.load_config
  rental = NwmlsClient::Rental.new(config)
  listings = rental.retrieve_data
  rental.display(listings)
end