require_relative "listing"

module NwmlsClient

  class Timeshare < Listing

    def initialize(config, criteria = {})
      criteria[:property_code] = "TSHR"
      criteria[:property_type] = :time_share
      @criteria = criteria 
      super(config, @criteria)    
    end 
    
  end
  
end

if __FILE__ == $0
  config = NwmlsClient::Base.load_config
  b_date = DateTime.now-5
  time_share = NwmlsClient::Timeshare.new(config, begin_date: b_date)
  listings = time_share.retrieve_data
  time_share.display(listings)
end