require_relative "listing"

module NwmlsClient

  class Vacantland < Listing

    def initialize(config, criteria = {})
      criteria[:property_code] = "VACL"
      criteria[:property_type] = :vacant_land
      @criteria = criteria 
      super(config, @criteria)    
    end 
    
  end

end


if __FILE__ == $0
  config = NwmlsClient::Base.load_config
  vacant_land = NwmlsClient::Vacantland.new(config)
  listings = vacant_land.retrieve_data
  vacant_land.display(listings)
end