require_relative "listing"

module NwmlsClient

  class Manufactured < Listing

    def initialize(config, criteria = {})
      criteria[:property_code] = "MANU"
      criteria[:property_type] = :manufactured
      @criteria = criteria 
      super(config, @criteria)    
    end 
    
  end
  
end

if __FILE__ == $0
  config = NwmlsClient::Base.load_config
  manufactured = NwmlsClient::Manufactured.new(config)
  listings = manufactured.retrieve_data
  manufactured.display(listings)
end
