require_relative "base"
require_relative "listing"

module NwmlsClient

  class Residential < Listing

    def initialize(config, criteria = {})
      criteria[:property_code] = "RESI"
      criteria[:property_type] = :residential
      @criteria = criteria 
      super(config, @criteria)    
    end 
    
  end
  
end

if __FILE__ == $0
  config = NwmlsClient::Base.load_config
  residential = NwmlsClient::Residential.new(config, city: "Seattle", status: "S")
  listings = residential.retrieve_data
  #puts "#{listings}"
  residential.display(listings)
end

